Merging stacktrace of inner exceptions

Extend Error constructor argument for merging stacktrace.

try {
  // ...
} catch (err) {
  throw new Error("Custom Error Text", err);
}

Some custom error packages, e.g. extensible-custom-error and trace-error, support for holding inner exceptions and emitting it in stacktrace.

This idea depends on Stage 1 Error Stacks.

See also: